package cn.teammodel.controller.admin.service;

import cn.teammodel.model.dto.admin.Moral.MoralDto;
import cn.teammodel.model.dto.admin.labor.FindDto;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

public interface MoralEducationService {
    Map<String,Object> getAnalysis(MoralDto moralDto, HttpServletRequest request);
    Map<String,Object> getDetails(FindDto findDto, HttpServletRequest request);
    Map<String,Object> getStudentSemesterScores(MoralDto moralDto, HttpServletRequest request);
    Map<String,List<Map<String, Object>>> getStudentMonthlyScores(MoralDto moralDto,HttpServletRequest request);
    Map<String,Object> getExamDetails(MoralDto moralDto,HttpServletRequest request);
}
